Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.drag
Class DragOperation

    java.lang.Object
      org.flexdock.docking.drag.DragOperation

All Implemented Interfaces:
  DockingConstants

    public class DragOperation

extends Object
implements DockingConstants

Field Summary
`static String` | `DRAG_IMAGE`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`DragOperation(Component dockable, Component dragSource, Point currentMouse)`
`DragOperation(Component dockable, Point dragOrigin, MouseEvent evt)`

Method Summary
`EventListener[]` | `getCachedListeners()`
`Point` | `getCurrentMouse()`
`Point` | `getCurrentMouse(boolean relativeToScreen)`
`Point` | `getCurrentMouse(Component target)`
`Component` | `getDockable()`
`Dockable` | `getDockableReference()`
`DragManager` | `getDragListener()`
`Rectangle` | `getDragRect(boolean relativeToScreen)`
`Dimension` | `getDragSize()`
`Component` | `getDragSource()`
`Point` | `getMouseOffset()`
`DockingPort` | `getParentDockingPort()`
`DockingPort` | `getSourcePort()`
`long` | `getStartTime()`
`DockingPort` | `getTargetPort()`
`String` | `getTargetRegion()`
`boolean` | `isOverWindow()`
`boolean` | `isPseudoDrag()`
`void` | `setCachedListeners(EventListener[] listeners)`
`void` | `setDragListener(DragManager listener)`
`void` | `setOverWindow(boolean overWindow)`
`void` | `setTarget(DockingPort port, String region)`
`void` | `start()`
`void` | `updateMouse(MouseEvent me)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DRAG_IMAGE

    public static final String DRAG_IMAGE

See Also:
  Constant Field Values

Constructor Detail

### DragOperation

    public DragOperation(Component dockable,
                         Point dragOrigin,
                         MouseEvent evt)

### DragOperation

    public DragOperation(Component dockable,
                         Component dragSource,
                         Point currentMouse)

Method Detail

### getDockable

    public Component getDockable()

### getDockableReference

    public Dockable getDockableReference()

### getMouseOffset

    public Point getMouseOffset()

### updateMouse

    public void updateMouse(MouseEvent me)

### getCurrentMouse

    public Point getCurrentMouse()

### getCurrentMouse

    public Point getCurrentMouse(boolean relativeToScreen)

### getDragRect

    public Rectangle getDragRect(boolean relativeToScreen)

### getCurrentMouse

    public Point getCurrentMouse(Component target)

### getDragSize

    public Dimension getDragSize()

### getDragSource

    public Component getDragSource()

### setTarget

    public void setTarget(DockingPort port,
                          String region)

### getTargetPort

    public DockingPort getTargetPort()

### getTargetRegion

    public String getTargetRegion()

### getCachedListeners

    public EventListener[] getCachedListeners()

### setCachedListeners

    public void setCachedListeners(EventListener[] listeners)

### getDragListener

    public DragManager getDragListener()

### setDragListener

    public void setDragListener(DragManager listener)

### isOverWindow

    public boolean isOverWindow()

### setOverWindow

    public void setOverWindow(boolean overWindow)

### isPseudoDrag

    public boolean isPseudoDrag()

### getParentDockingPort

    public DockingPort getParentDockingPort()

### start

    public void start()

### getStartTime

    public long getStartTime()

### getSourcePort

    public DockingPort getSourcePort()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD